## palapeli 0.3

=== CMakeLists.txt ===
project(palapeli)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
find_package(LibKDEGames REQUIRED)
find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "Support for graphics hardware (used in Palapeli)" "http://www.opengl.org" FALSE "" "")

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEGAMES_INCLUDE_DIRS} ${KDEGAMES_INCLUDE_DIR}/highscore/ ${KDEGAMES_INCLUDE_DIR}/kgame/)

add_subdirectory(lib)
add_subdirectory(game)
add_subdirectory(patterns)
add_subdirectory(puzzles)

macro_display_feature_log()

=== game/CMakeLists.txt ===
project(palapeli)
add_subdirectory(desktop)
add_subdirectory(pics)

add_definitions(-DMAKE_LIBPALAPELIPATTERN) #needed to correctly include the headers of libpalapelipattern

set(palapeli_LINK_LIBS ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARIES} ${KDEGAMES_LIBRARY})
if(OPENGL_FOUND)
	add_definitions(-DPALAPELI_WITH_OPENGL)
	if(WIN32)
		set(opengl_libs opengl32.lib glu32.lib)
	endif(WIN32)
	set(palapeli_LINK_LIBS ${palapeli_LINK_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY})
endif(OPENGL_FOUND)

set(palapeli_SRCS
	main.cpp
	mainwindow.cpp
	manager.cpp
	minimap.cpp
	part.cpp
	piece.cpp
	piecerelation.cpp
	preview.cpp
	textprogressbar.cpp
	view.cpp
	welcomewidget.cpp
	actions/createaction.cpp
	actions/deleteaction.cpp
	actions/exportaction.cpp
	actions/importaction.cpp
	actions/loadaction.cpp
	actions/resetaction.cpp
	library/library.cpp
	library/librarybase.cpp
	library/librarydelegate.cpp
	library/libraryfilter.cpp
	library/libraryview.cpp
	library/puzzleinfo.cpp
)
kde4_add_ui_files(palapeli_SRCS settings_appearance.ui settings_gameplay.ui)
kde4_add_kcfg_files(palapeli_SRCS settings.kcfgc)

kde4_add_executable(palapeli ${palapeli_SRCS})
target_link_libraries(palapeli palapelipattern ${palapeli_LINK_LIBS})

install(TARGETS palapeli ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES palapeliui.rc DESTINATION ${DATA_INSTALL_DIR}/palapeli)
install(FILES palapeli.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== lib/CMakeLists.txt ===
project(libpalapelipattern)

set(palapelipattern_LIB_MAJOR_VERSION "0")
set(palapelipattern_LIB_MINOR_VERSION "4")
set(palapelipattern_LIB_PATCH_VERSION "0")
set(palapelipattern_LIB_VERSION "${palapelipattern_LIB_MAJOR_VERSION}.${palapelipattern_LIB_MINOR_VERSION}.${palapelipattern_LIB_PATCH_VERSION}")
set(palapelipattern_LIB_SOVERSION "0")

set(palapelipattern_SRCS
	pattern.cpp
	pattern-configuration.cpp
	pattern-executor.cpp
	pattern-plugin.cpp
	pattern-trader.cpp
	variantmapper.cpp
)

kde4_add_library(palapelipattern SHARED ${palapelipattern_SRCS})
target_link_libraries(palapelipattern ${KDE4_KDEUI_LIBS})

set_target_properties(palapelipattern PROPERTIES
	VERSION ${palapelipattern_LIB_VERSION}
	SOVERSION ${palapelipattern_LIB_SOVERSION}
	DEFINE_SYMBOL MAKE_LIBPALAPELIPATTERN
)

install(TARGETS palapelipattern ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES palapelipatternplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES macros.h DESTINATION ${INCLUDE_INSTALL_DIR}/Palapeli COMPONENT Devel RENAME Macros)
install(FILES pattern.h DESTINATION ${INCLUDE_INSTALL_DIR}/Palapeli COMPONENT Devel RENAME Pattern)
install(FILES pattern-configuration.h DESTINATION ${INCLUDE_INSTALL_DIR}/Palapeli COMPONENT Devel RENAME PatternConfiguration)
install(FILES pattern-executor.h DESTINATION ${INCLUDE_INSTALL_DIR}/Palapeli COMPONENT Devel RENAME PatternExecutor)
install(FILES pattern-plugin.h DESTINATION ${INCLUDE_INSTALL_DIR}/Palapeli COMPONENT Devel RENAME PatternPlugin)
install(FILES pattern-trader.h DESTINATION ${INCLUDE_INSTALL_DIR}/Palapeli COMPONENT Devel RENAME PatternTrader)
install(FILES FindPalapeli.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake/modules COMPONENT Devel)

=== patterns/CMakeLists.txt ===
project(palapeli-patterns)
add_subdirectory(pics)
add_definitions(-DMAKE_LIBPALAPELIPATTERN) #needed to correctly include the headers of libpalapelipattern

set(palapeli_rectangularpattern_PART_SRCS
	pattern-rectangular.cpp
)

kde4_add_plugin(palapeli_rectangularpattern ${palapeli_rectangularpattern_PART_SRCS})
target_link_libraries(palapeli_rectangularpattern ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} palapelipattern)

install(TARGETS palapeli_rectangularpattern DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES palapeli_rectangularpattern.desktop DESTINATION ${SERVICES_INSTALL_DIR})

set(palapeli_jigsawpattern_PART_SRCS
	pattern-jigsaw.cpp
)

kde4_add_plugin(palapeli_jigsawpattern ${palapeli_jigsawpattern_PART_SRCS})
target_link_libraries(palapeli_jigsawpattern ${KDE4_KDEUI_LIBS} palapelipattern)

install(TARGETS palapeli_jigsawpattern DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES palapeli_jigsawpattern.desktop DESTINATION ${SERVICES_INSTALL_DIR})

set(palapeli_hexagonpattern_PART_SRCS
	pattern-hexagon.cpp
)

kde4_add_plugin(palapeli_hexagonpattern ${palapeli_hexagonpattern_PART_SRCS})
target_link_libraries(palapeli_hexagonpattern ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} palapelipattern)

install(TARGETS palapeli_hexagonpattern DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES palapeli_hexagonpattern.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== puzzles/CMakeLists.txt ===
macro(palapeli_install_puzzle name extension)
 install(FILES ${name}.${extension} ${name}.desktop DESTINATION ${DATA_INSTALL_DIR}/palapeli/puzzlelibrary)
endmacro(palapeli_install_puzzle)

palapeli_install_puzzle(castle-maintenon jpg)
palapeli_install_puzzle(cincinnati-bridge jpg)
palapeli_install_puzzle(citrus-fruits jpg)
palapeli_install_puzzle(european-honey-bee jpg)
palapeli_install_puzzle(panther-chameleon-female jpg)

=== game/desktop/CMakeLists.txt ===
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
find_package(SharedMimeInfo REQUIRED)

########### install files ###############
install(FILES palapeli.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
install(FILES palapeli_import.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

=== game/pics/CMakeLists.txt ===
install(FILES background.svg DESTINATION ${DATA_INSTALL_DIR}/palapeli)

=== patterns/pics/CMakeLists.txt ===
file(GLOB palapeli_blockjigsaw_PICS "*.svg")

install(FILES ${palapeli_blockjigsaw_PICS} DESTINATION ${DATA_INSTALL_DIR}/palapeli/jigsaw-pics)

## palapeli 4.10.0

=== debian/changelog ===
palapeli (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:22:42 +0000

palapeli (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:32:26 +0000

palapeli (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:49:24 +0100

palapeli (4:4.9.95-0ubuntu1) raring; urgency=low

  * Install to /usr/games
  * Version dependency on kdegames-data
  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:49:07 +0000

palapeli (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:18:28 +0000

=== debian/control ===
Source: palapeli
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               pkg-kde-tools,
               libkdegames-dev (>= 4:4.10.0),
               shared-mime-info
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: palapeli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, palapeli-data (>= ${source:Version}),
 kdegames-data (>= ${source:Upstream-Version})
Recommends: qhull-bin
Replaces: palapeli (<< 4:4.4.80)
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

## palapeli 4.10.2

=== debian/changelog ===
palapeli (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:04:30 +0200

palapeli (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:58:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                pkg-kde-tools,
-               libkdegames-dev (>= 4:4.10.0),
+               libkdegames-dev (>= 4:4.10.2),
                shared-mime-info
 Standards-Version: 3.9.3
 Section: games

## palapeli 4.10.5

=== debian/changelog ===
palapeli (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:47:46 +0200

palapeli (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:38:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.5),
                pkg-kde-tools,
                libkdegames-dev (>= 4:4.10.2),
                shared-mime-info
@@ -14,7 +14,7 @@
 Package: palapeli
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, palapeli-data (>= ${source:Version}),
- kdegames-data (>= ${source:Upstream-Version})
+ kdegames-data
 Recommends: qhull-bin
 Replaces: palapeli (<< 4:4.4.80)
 Description: jigsaw puzzle game

## palapeli 4.11.2

=== debian/changelog ===
palapeli (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:58:40 +0100

palapeli (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:43:34 +0100

palapeli (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:43:04 +0100

palapeli (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:10:41 +0100

palapeli (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:33 +0000

palapeli (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:34:35 +0100

palapeli (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:00:31 +0100

palapeli (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * add not-installed

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:55:10 +0100

palapeli (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:59 +0000

palapeli (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Apr 2013 12:12:41 +0200

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libkdegames-dev (>= 4:4.11.2),
 shared-mime-info
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/palapeli.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/palapeli.git

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, palapeli-data (>= ${source:Version})
Recommends: qhull-bin, khelpcenter4
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

## palapeli 4.11.5

=== debian/changelog ===
palapeli (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
+ libkdegames-dev (>= 4:4.11.3),
  shared-mime-info
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/palapeli.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/palapeli.git

## palapeli 4.13.0

=== debian/changelog ===
palapeli (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:30:48 +0100

palapeli (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:57:11 +0200

palapeli (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:58:07 +0100

palapeli (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:06:56 +0000

palapeli (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:18:32 +0100

palapeli (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:33:07 +0000

palapeli (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:45:51 +0000

palapeli (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:49:08 +0000

palapeli (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:47:44 +0000

palapeli (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:41:56 +0100

palapeli (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.5),
- libkdegames-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0),
  shared-mime-info
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/palapeli.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/palapeli.git

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/palapeli-([\d\.]*).tar.xz

## palapeli 4.13.3

=== debian/changelog ===
palapeli (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:37:51 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.13.0),
- libkdegames-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ libkdegames-dev (>= 4:4.13.1),
  shared-mime-info
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/

## palapeli 4.14.0

=== debian/changelog ===
palapeli (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 23:34:19 +0200

palapeli (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 16:51:53 +0200

palapeli (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:03 +0100

palapeli (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 11:02:11 +0200

palapeli (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:10 +0200

palapeli (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:45 +0100

palapeli (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Jan 2014 15:24:19 +0100

palapeli (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:27:45 +0100

palapeli (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:28:56 +0200

palapeli (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:56:26 +0200

palapeli (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Add lintian-overrides for private library messages.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:54:10 +0200

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14),
               shared-mime-info
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/palapeli.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/palapeli.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter4, qhull-bin
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/palapeli-([\d.]+).tar.xz

## palapeli 4.14.1

=== debian/changelog ===
palapeli (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:58:10 +0200

palapeli (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:42:50 +0200

palapeli (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:33:33 +0200

palapeli (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:54:36 +0200

palapeli (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add not-installed

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: palapeli
 Section: games
 Priority: optional
-Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -14,16 +14,16 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libkdegames-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.14),
                shared-mime-info
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/palapeli.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/palapeli.git
-X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
-X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/palapeli.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/palapeli.git
 
 Package: palapeli-data
 Architecture: all

## palapeli 4.14.2

=== debian/changelog ===
palapeli (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:10:43 +0200

palapeli (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:45:35 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.14),
                shared-mime-info
 Standards-Version: 3.9.5

## palapeli 14.12.3

=== debian/changelog ===
palapeli (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depends. 
  * New upstream release
  * Fix kdelibs5 version in build depends
  * libkdegames was renamed to 4 to accommodate 4 and 5. 
  * Undo libkdegames change, -dev was not changed. 
  * Spelling error

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:08:03 -0700

palapeli (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version
    
 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:01:55 -0800

palapeli (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:30:48 +0100

palapeli (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:52 +0100

palapeli (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:45:35 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: palapeli
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,17 +12,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
-               libkdegames-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14),
+               libkdegames-dev (>= 4:14.12.3),
                pkg-kde-tools (>= 0.14),
                shared-mime-info
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/palapeli
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/palapeli.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/palapeli.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/palapeli.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/palapeli.git
 
 Package: palapeli-data
 Architecture: all
@@ -44,7 +41,7 @@
 Depends: palapeli-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: khelpcenter4, qhull-bin
+Recommends: khelpcenter, qhull-bin
 Description: jigsaw puzzle game
  Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
  you are not limited to aligning pieces on imaginary grids. The

## palapeli 15.08.2

=== debian/changelog ===
palapeli (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:04:31 +0100

palapeli (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:45:10 +0100

palapeli (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:20:21 +0100

palapeli (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:30:53 +0100

palapeli (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdelibs version
  * kde4 games need to depend on 14.12 series libkdegames. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:41:07 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev (>= 4:4.14),
-               libkdegames-dev (>= 4:14.12.3),
+               libkdegames-dev,
                pkg-kde-tools (>= 0.14),
                shared-mime-info
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/palapeli.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/palapeli.git

## palapeli 15.12.3

=== CMakeLists.txt ===
project(palapeli)

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
	find_package(KDEGames REQUIRED)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${KDEGAMES_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QDBUS_INCLUDE_DIRS})
endif(NOT COMPILING_KDEGAMES)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/libpala)

add_subdirectory(libpala)
add_subdirectory(slicers)
add_subdirectory(pics)
add_subdirectory(src)
add_subdirectory(mime)
add_subdirectory(puzzles)
add_subdirectory(doc)

macro_display_feature_log()

=== debian/changelog ===
palapeli (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:27:24 -0700

palapeli (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:33:41 +0100

palapeli (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:41 +0100

palapeli (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:53 +0100

palapeli (4:15.04.2-1) unstable; urgency=medium

  * New upstream release (15.04.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:28 +0200

palapeli (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

  [ Scarlett Clark ]
  * Add back kdelibs parent version depends.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 09:06:08 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                shared-mime-info
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/palapeli.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/palapeli.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/palapeli.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/palapeli.git
 
 Package: palapeli-data
 Architecture: all

## palapeli 16.08.0

=== debian/changelog ===
palapeli (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the dh_auto_install override, since it does not do anything more
    than what is done without the it.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 07:54:38 +0200

palapeli (4:15.12.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:52:41 +0200

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev (>= 4:4.14),
-               libkdegames-dev,
+               libkdegames-dev (>= 4:14.12.2),
                pkg-kde-tools (>= 0.14),
                shared-mime-info
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/palapeli.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/palapeli.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/palapeli.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/palapeli.git
 
 Package: palapeli-data
 Architecture: all

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/palapeli-([\d.]+).tar.xz

## palapeli 16.12.3

=== debian/changelog ===
palapeli (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:06 +0000

palapeli (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:11:33 +0000

palapeli (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Desktop file in new rdns naming standard

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14),
-               libkdegames-dev (>= 4:14.12.2),
+               kdelibs5-dev (>= 4:4.14.30~),
+               libkdegames-dev,
                pkg-kde-tools (>= 0.14),
                shared-mime-info
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/palapeli.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/palapeli.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
 
 Package: palapeli-data
 Architecture: all

## palapeli 17.04.3

=== debian/changelog ===
palapeli (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Rework install files, move some data files to -data package, add the needed
    Breaks/Replaces to do this.
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libkdegames-dev,
                pkg-kde-tools (>= 0.14),
                shared-mime-info
@@ -42,6 +42,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: khelpcenter, qhull-bin
+Breaks: palapeli-data (<< 17.04.1)
+Replaces: palapeli-data (<< 17.04.1)
 Description: jigsaw puzzle game
  Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
  you are not limited to aligning pieces on imaginary grids. The

## palapeli 17.12.2

=== debian/changelog ===
palapeli (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #875084)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, and libkdegames-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev, libkf5archive-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5doctools-dev,
      libkf5i18n-dev, libkf5itemviews-dev, libkf5kio-dev,
      libkf5notifications-dev, libkf5service-dev, libkf5widgetsaddons-dev,
      libkf5xmlgui-dev, and libkf5kdegames-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Use https for Format in copyright.
  * Break/replace against kde-l10n that ships translations.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Update install files.
  * Directly remove all the development files from debian/tmp, so there is less
    risk to install them
    - drop not-installed, no more useful now
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:26:24 +0100

palapeli (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879418)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Update install files.
  * Move icons, and mimetype file to palapeli-data
    - add proper breaks/replaces

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:52:19 +0100

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.30.0~),
               libkf5archive-dev (>= 5.30.0~),
               libkf5completion-dev (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5itemviews-dev (>= 5.30.0~),
               libkf5kdegames-dev,
               libkf5kio-dev (>= 5.30.0~),
               libkf5notifications-dev (>= 5.30.0~),
               libkf5service-dev (>= 5.30.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
               shared-mime-info
Standards-Version: 4.1.3
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/palapeli.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/palapeli.git

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}, palapeli (<< 4:17.08.3~)
Replaces: ${kde-l10n:all}, palapeli (<< 4:17.08.3~)
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter, qhull-bin
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

## palapeli 17.12.3

=== pics/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-apps-palapeli.png
        24-apps-palapeli.png
        32-apps-palapeli.png
        48-apps-palapeli.png
        64-apps-palapeli.png
        128-apps-palapeli.png
        16-mimetypes-application-x-palapeli.png
        24-mimetypes-application-x-palapeli.png
        32-mimetypes-application-x-palapeli.png
        48-mimetypes-application-x-palapeli.png
        64-mimetypes-application-x-palapeli.png
        128-mimetypes-application-x-palapeli.png
    DESTINATION
        ${KDE_INSTALL_ICONDIR}
    THEME
        hicolor
)

=== debian/changelog ===
palapeli (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Fix breaks/replaces for xenial upgrades

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Apr 2018 20:54:08 +0100

palapeli (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:06 +0000

palapeli (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Port to KF5
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Update lintial overrides
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:23 +0000

palapeli (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:40 +0000

=== debian/control ===
Source: palapeli
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0),
               libkf5archive-dev (>= 5.15.0),
               libkf5completion-dev (>= 5.15.0),
               libkf5config-dev (>= 5.15.0),
               libkf5configwidgets-dev (>= 5.15.0),
               libkf5coreaddons-dev (>= 5.15.0),
               libkf5crash-dev (>= 5.15.0),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.15.0),
               libkf5itemviews-dev (>= 5.15.0),
               libkf5kdegames-dev (>= 4:17.12.3~),
               libkf5kio-dev (>= 5.15.0),
               libkf5notifications-dev (>= 5.15.0),
               libkf5service-dev (>= 5.15.0),
               libkf5widgetsaddons-dev (>= 5.15.0),
               libkf5xmlgui-dev (>= 5.15.0),
               libqt5svg5-dev (>= 5.3),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.3)
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/palapeli

Package: palapeli-data
Architecture: all
Depends: ${misc:Depends}
Breaks: palapeli (<< 17.04.1), ${kde-l10n:all}
Replaces: palapeli (<< 17.04.1), ${kde-l10n:all}
Description: data files for palapeli jigsaw puzzle game
 Data files (puzzles) for the palapeli puzzle game.
 .
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

Package: palapeli
Architecture: any
Depends: palapeli-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter, qhull-bin
Description: jigsaw puzzle game
 Palapeli is a jigsaw puzzle game. Unlike other games in that genre,
 you are not limited to aligning pieces on imaginary grids. The
 pieces are freely moveable.
 .
 Palapeli is the Finnish word for jigsaw puzzle.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/palapeli-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/palapeli-([\d.]+).tar.xz

## palapeli 18.04.1

=== debian/changelog ===
palapeli (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * use signature for upstream tarball.
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:31:29 +0200
